Subject: bug#17681: 24.3.91; "Arithmetic Error" in hide-ifdef mode when using shift operators

From: Luke Lee <[email-masked]>
Date: Fri, 6 Jun 2014 14:00:19 +0800

>I think he already sent me a patch fixing this problem

Yes, I think my new patch fixed that problem. However, if you're trying to
hide
jiffies.h it will eventually failed at some other place due to the
"unsigned long"
integer postfix (i.e. the "UL" in 100000UL), which hideif still consider it
a "TODO".

#define TICK_USEC ((1000000UL + USER_HZ/2) / USER_HZ)

2014-06-06 9:04 GMT+08:00 Stefan Monnier <[email-masked]>:

> > Luke, could you take a look at this report please?
>
> > http://debbugs.gnu.org/17681
>
> > An artificial but smaller example might be:
>
> > #if 1 / FOO
> > #endif
>
> I think he already sent me a patch fixing this problem (which IIUC is
> a problem I introduced, BTW).
>
>
>         Stefan
>

-- 
Best regards,
Luke Lee